### Property

# Gtk TextMark:left-gravity

since: 4.0

#### Declaration

    property left-gravity: gboolean [ read, write, construct-only ]

#### Description [src]

Whether the mark has left gravity.

When text is inserted at the mark’s current location, if the mark has left gravity it will be moved to the left of the newly-inserted text, otherwise to the right.

Type: | `gboolean`
Available since: | 4.0

Default value | FALSE
Getter method | `gtk_text_mark_get_left_gravity()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes